Description

This is a guide on how to increase the PHP execution time for php-fpm on nginx.

e Change max execution time limit in the main PHP config from the default 30 seconds to 300 seconds.

vi /usr/local/etc/php.ini

o And set:

max_execution_time = 300

* Edit the php-fpm config:

vi /usr/local/etc/php-fpm.conf

o And set:

request_terminate_timeout = 300

NOTE: If request_terminate_timeout is commented out, this value will be taken from the max_execution_time in the php.ini
file.

e To increase the time limit for www.example.com by:

vi /usr/local/etc/nginx/conf.d/www.example.com.conf

o And add the fastcgi_read_timeout 300 statement:

location ~ \.php$ {
include /etc/nginx/fastcgi_params;
fastcgi_pass unix:/var/run/php5-fpm.sock;
fastcgi_read_timeout 300;

® And restart nginx and php-fpom:

service nginx restart
service php-fpm restart

Resources

e https://rtcamp.com/tutorials/php/increase-script-execution-time/

04/09/2024 12



http://www.example.com
https://rtcamp.com/tutorials/php/increase-script-execution-time/

History

#1 - 08/31/2015 10:52 AM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 08/31/2015 12:12 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 09/11/2015 05:24 PM - Daniel Curtis

- Status changed from Resolved to Closed
